import json
from munch import Munch

import minecraft_data

mcd = minecraft_data('1.16.4')

with open('minecraft_data/registries.json') as f:
    DATA = json.load(f)

SINGLE_CHEST = 2
DOUBLE_CHEST = 5
VILLAGER_TRADE = 18

WINDOWS = {
    SINGLE_CHEST: Munch(
        container=list(range(0, 27)),
        inventory=list(range(27, 63)),
        slot_diff=18,
    ),
    DOUBLE_CHEST: Munch(
        container=list(range(0, 54)),
        inventory=list(range(54, 90)),
        slot_diff=45,
    ),
    VILLAGER_TRADE: Munch(
        input1=0,
        input2=1,
        output=2,
        inventory=list(range(3, 38)),
    ),
}
